# Via API

## Query attributes from existing passport holders

Quadrata provides an API for integrators to query attributes values from an existing passport holder

{% hint style="success" %}
Production URL: <https://prod.quadrata.com/api/v1/attributes/query>
{% endhint %}

<mark style="color:blue;">`GET`</mark> `https://int.quadrata.com/api/v1/attributes/query`

Query attributes (values, verifiedAt, status) from an existing passport holder.

#### Query Parameters

| Name                                         | Type          | Description                 |
| -------------------------------------------- | ------------- | --------------------------- |
| wallet<mark style="color:red;">\*</mark>     | String        | User Wallet Address         |
| attributes<mark style="color:red;">\*</mark> | List\[String] | List of Required Attributes |

#### Headers

| Name                                                                  | Type   | Description                                 |
| --------------------------------------------------------------------- | ------ | ------------------------------------------- |
| Authorization: Bearer \<JWT\_TOKEN><mark style="color:red;">\*</mark> | String | JWT accessToken (returned by /api/v1/login) |

{% tabs %}
{% tab title="200: OK Attribute values" %}

```json
// Example Response
{
  "data": {
    "queryResult": {
      "ACCREDITED_INVESTOR_US": {
        "status": "",
        "value": "",
        "verifiedAt": ""
      },
      "AML": {
        "status": "READY",
        "value": "1",
        "verifiedAt": "1685658188"
      },
      "COUNTRY": {
        "status": "READY",
        "value": "US",
        "verifiedAt": "1685658115"
      },
      "DID": {
        "status": "READY",
        "value": "0xc355dc9ddce1e50cb737a2b4354b5d3eb42fc167ee0aceae28dd965ef4b752cc",
        "verifiedAt": "1685658115"
      }
    },
    "type": "attributes"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quadrata.com/integration/how-to-integrate/query-attributes/via-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
